-- **************************************************
-- Provide Moho with the name of this script object
-- **************************************************

ScriptName = "MG_Dat_to_Morphdial"

-- **************************************************
-- General information about this script
-- **************************************************

MG_Dat_to_Morphdial = {}

function MG_Dat_to_Morphdial:Name()
	return "Dat to Morphdial"
end

function MG_Dat_to_Morphdial:Version()
	return "6.0"
end

function MG_Dat_to_Morphdial:Description()
	return "Data file test script"
end

function MG_Dat_to_Morphdial:Creator()
	return "Mike Green"
end

function MG_Dat_to_Morphdial:UILabel()
	return("Dat to Morphdial")
end

-- **************************************************
-- The guts of this script
-- **************************************************
function MG_Dat_to_Morphdial:IsEnabled(moho)
	if (not moho.layer:IsBoneType()) then
		return false
	end
	if (moho.layer:CurrentAction() ~= "") then
		return false -- creating new objects in the middle of an action can lead to unexpected results
	end
	return true
end

function MG_Dat_to_Morphdial:Run(moho)

	local myskel = moho:Skeleton()
	if (myskel == nil) then
		return
	end
	local myboneid =myskel:SelectedBoneID()
	if (myboneid == nil) then
		return
	end
	local mybone=myskel:Bone(myboneid)
--	print(mybone:Name())

	local path = LM.GUI.OpenFile("Select Data File")
	if (path == "") then
		return
	end

	local f = io.open(path, "r")
	if (f == nil) then
		return
	end
	moho.document:PrepUndo(moho.layer)
	moho.document:SetDirty()
	local myframe = moho.layerFrame
--	print(myframe)
------------------------------------------Delete previous keys----------------------------------------------
   mybone.fAnimPos:Clear(0)
-----------------------------------------------------Read and animate code ----------------------------------
	local mtrans = LM.Vector2:new_local()
	local cmd = f:read()  -- load the mohoswitch line.
	local cmd = f:read()
	while (cmd ~= nil) do
--		print(cmd)
		local line = {}
		line[1]= string.match(cmd, "%d+")
		line[2]= string.match(cmd, "%a+")
--    print(line[1])
--    print(line[2])
		moho:SetCurFrame(line[1])
		for i=0, myskel:CountBones()-1 do
			local tempbone=myskel:Bone(i)
			if (tempbone:Name() == line[2]) then
--				print(tempbone:Name())
    		mytrans = tempbone.fAnimPos:GetValue(moho.layerFrame)
--    		print(mytrans)
    		mybone.fAnimPos:SetValue(moho.layerFrame,mytrans)
	  		mybone.fAnimPos:StoreValue()
	  	end
		end
		cmd = f:read()
	end
------------------------------------------------------------Reset to original frame-----------------------------

	moho:SetCurFrame(myframe)

	f:close()


end
